Skip to main content
PATCH
Typescript (SDK)

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Body

application/json
content
string
required

Post body (required). The post's slug is derived from the title when present, otherwise from the content.

title
string | null
pinned
boolean
gif_url
string | null
topics
string[]

Topic IDs (topic_...) to file the post under

Response

Post updated

id
string
required
object
string
required
title
string | null
required
content
string
required
pinned
boolean | null
required
gif_url
string | null
required
author_name
string
required
topics
object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required